Holger's Java API

## com.antelmann.math
Class TimeDataGraphics

    java.lang.Object
      com.antelmann.math.TimeDataGraphics

    @ThirdParty(value="uses jfree chart libraries")
    public class TimeDataGraphics

extends Object

provides graphics through JFreeChart libraries from a TimeDataGrid By default, methods in this class work based on `DataPoint.ValueType.SUM` and `TimeInterval.DAY` unless specified.

Since:
  02.08.2008, 17:10:58
Author:
  Holger Antelmann
See Also:
  `TimeDataGrid`

Constructor Summary
`TimeDataGraphics(TimeDataGrid<?> grid)`

Method Summary
`static HashMap<org.jfree.data.time.RegularTimePeriod,Double>` `aggregateToTimePeriod(Map<Date,? extends Number> map, TimeInterval interval)` Deprecated. see `aggregateToTimePeriod(Map, TimeInterval, com.antelmann.math.DataPoint.ValueType)`
`static HashMap<org.jfree.data.time.RegularTimePeriod,Double>` `aggregateToTimePeriod(Map<Date,DataPoint> map, TimeInterval interval, DataPoint.ValueType type)`
`static void` `configurePeriodAxis(org.jfree.chart.axis.PeriodAxis axis, TimeInterval interval)`
`TimeDataGrid<?>` `getGrid()`
`static org.jfree.chart.ChartPanel` `makeClusteredChart(org.jfree.data.xy.XYDataset data, String title, String numberTitle, TimeInterval interval)`
`org.jfree.chart.ChartPanel` `makePieChart(String title, int maxEntries, DataPoint.ValueType type, String remainingValueKey)`
`org.jfree.chart.ChartPanel` `makePieChart(String title, int maxEntries, String remainingValueKey)`
`org.jfree.data.general.DefaultPieDataset` `makePieDataset(String title, int maxEntries, DataPoint.ValueType type, String remainingValueKey)`
`org.jfree.data.general.DefaultPieDataset` `makePieDataset(String title, int maxEntries, String remainingValueKey)`
`org.jfree.chart.ChartPanel` `makeStackedChart(String title, String numberTitle)`
`org.jfree.chart.ChartPanel` `makeStackedChart(String title, String numberTitle, DataPoint.ValueType type, TimeInterval interval)`
`org.jfree.chart.ChartPanel` `makeStackedChart(String title, String numberTitle, TimeInterval interval)`
`static org.jfree.chart.ChartPanel` `makeStackedChart(org.jfree.data.xy.XYDataset data, String title, String numberTitle, TimeInterval interval)`
`static org.jfree.chart.ChartPanel` `makeTimeChart(String title, String dateTitle, String numberTitle, org.jfree.data.time.TimeSeries... ts)`
`ArrayList<org.jfree.data.time.TimeSeries>` `makeTimeSeries()`
`ArrayList<org.jfree.data.time.TimeSeries>` `makeTimeSeries(DataPoint.ValueType type)`
`ArrayList<org.jfree.data.time.TimeSeries>` `makeTimeSeries(int maxGroups, DataPoint.ValueType type, Object remainderKey)`
`ArrayList<org.jfree.data.time.TimeSeries>` `makeTimeSeries(int maxGroups, DataPoint.ValueType type, TimeInterval interval, Object remainderKey)`
`ArrayList<org.jfree.data.time.TimeSeries>` `makeTimeSeries(int maxGroups, Object remainderKey)`
`org.jfree.data.time.TimeSeries` `makeTimeSeries(Object group)`
`org.jfree.data.time.TimeSeries` `makeTimeSeries(Object group, DataPoint.ValueType type)`
`static org.jfree.data.time.TimeSeries` `makeTimeSeries(String name, Map<? extends Date,? extends Number> map, TimeInterval interval)`
`static org.jfree.data.time.TimeSeries` `makeTimeSeries(String name, Map<? extends Date,DataPoint> map, DataPoint.ValueType type, TimeInterval interval)`
`org.jfree.data.time.TimeTableXYDataset` `makeTimeTableXYDataset()`
`org.jfree.data.time.TimeTableXYDataset` `makeTimeTableXYDataset(DataPoint.ValueType type)`
`org.jfree.data.time.TimeTableXYDataset` `makeTimeTableXYDataset(int maxGroups, DataPoint.ValueType type, String remainderKey)`
`org.jfree.data.time.TimeTableXYDataset` `makeTimeTableXYDataset(int maxGroups, DataPoint.ValueType type, TimeInterval interval, String remainderKey)`
`org.jfree.data.time.TimeTableXYDataset` `makeTimeTableXYDataset(int maxGroups, String remainderKey)`
`org.jfree.data.time.TimeTableXYDataset` `makeTimeTableXYDataset(int maxGroups, String remainderKey, TimeInterval interval)`
`org.jfree.data.time.TimeTableXYDataset` `makeTimeTableXYDataset(TimeInterval interval)`
`org.jfree.data.time.TimeTableXYDataset` `makeTimeTableXYDataset(TimeInterval interval, DataPoint.ValueType type)`
`void` `setGrid(TimeDataGrid<?> grid)`
`static org.jfree.data.time.RegularTimePeriod` `toTimePeriod(Date date, TimeInterval interval)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeDataGraphics

    public TimeDataGraphics(TimeDataGrid<?> grid)

Method Detail

### getGrid

    public TimeDataGrid<?> getGrid()

### setGrid

    public void setGrid(TimeDataGrid<?> grid)

### makeTimeSeries

    public ArrayList<org.jfree.data.time.TimeSeries> makeTimeSeries(int maxGroups,
                                                                    Object remainderKey)

### makeTimeSeries

    public ArrayList<org.jfree.data.time.TimeSeries> makeTimeSeries(int maxGroups,
                                                                    DataPoint.ValueType type,
                                                                    Object remainderKey)

### makeTimeSeries

    public ArrayList<org.jfree.data.time.TimeSeries> makeTimeSeries(int maxGroups,
                                                                    DataPoint.ValueType type,
                                                                    TimeInterval interval,
                                                                    Object remainderKey)

### makeTimeSeries

    public ArrayList<org.jfree.data.time.TimeSeries> makeTimeSeries()

### makeTimeSeries

    public ArrayList<org.jfree.data.time.TimeSeries> makeTimeSeries(DataPoint.ValueType type)

### makeTimeSeries

    public org.jfree.data.time.TimeSeries makeTimeSeries(Object group)

### makeTimeSeries

    public org.jfree.data.time.TimeSeries makeTimeSeries(Object group,
                                                         DataPoint.ValueType type)

### makeTimeSeries

    public static org.jfree.data.time.TimeSeries makeTimeSeries(String name,
                                                                Map<? extends Date,DataPoint> map,
                                                                DataPoint.ValueType type,
                                                                TimeInterval interval)

### makeTimeSeries

    public static org.jfree.data.time.TimeSeries makeTimeSeries(String name,
                                                                Map<? extends Date,? extends Number> map,
                                                                TimeInterval interval)

### makePieDataset

    public org.jfree.data.general.DefaultPieDataset makePieDataset(String title,
                                                                   int maxEntries,
                                                                   String remainingValueKey)

### makePieDataset

    public org.jfree.data.general.DefaultPieDataset makePieDataset(String title,
                                                                   int maxEntries,
                                                                   DataPoint.ValueType type,
                                                                   String remainingValueKey)

### makePieChart

    public org.jfree.chart.ChartPanel makePieChart(String title,
                                                   int maxEntries,
                                                   String remainingValueKey)

### makePieChart

    public org.jfree.chart.ChartPanel makePieChart(String title,
                                                   int maxEntries,
                                                   DataPoint.ValueType type,
                                                   String remainingValueKey)

### makeTimeTableXYDataset

    public org.jfree.data.time.TimeTableXYDataset makeTimeTableXYDataset()

### makeTimeTableXYDataset

    public org.jfree.data.time.TimeTableXYDataset makeTimeTableXYDataset(DataPoint.ValueType type)

### makeTimeTableXYDataset

    public org.jfree.data.time.TimeTableXYDataset makeTimeTableXYDataset(TimeInterval interval)

### makeTimeTableXYDataset

    public org.jfree.data.time.TimeTableXYDataset makeTimeTableXYDataset(TimeInterval interval,
                                                                         DataPoint.ValueType type)

### aggregateToTimePeriod

    @Deprecated
    public static HashMap<org.jfree.data.time.RegularTimePeriod,Double> aggregateToTimePeriod(Map<Date,? extends Number> map,
                                                                                                         TimeInterval interval)

  Deprecated. see `aggregateToTimePeriod(Map, TimeInterval, com.antelmann.math.DataPoint.ValueType)`

  this one only works for SUM

### aggregateToTimePeriod

    public static HashMap<org.jfree.data.time.RegularTimePeriod,Double> aggregateToTimePeriod(Map<Date,DataPoint> map,
                                                                                              TimeInterval interval,
                                                                                              DataPoint.ValueType type)

### makeTimeTableXYDataset

    public org.jfree.data.time.TimeTableXYDataset makeTimeTableXYDataset(int maxGroups,
                                                                         String remainderKey)

### makeTimeTableXYDataset

    public org.jfree.data.time.TimeTableXYDataset makeTimeTableXYDataset(int maxGroups,
                                                                         DataPoint.ValueType type,
                                                                         String remainderKey)

### makeTimeTableXYDataset

    public org.jfree.data.time.TimeTableXYDataset makeTimeTableXYDataset(int maxGroups,
                                                                         String remainderKey,
                                                                         TimeInterval interval)

### makeTimeTableXYDataset

    public org.jfree.data.time.TimeTableXYDataset makeTimeTableXYDataset(int maxGroups,
                                                                         DataPoint.ValueType type,
                                                                         TimeInterval interval,
                                                                         String remainderKey)

### makeStackedChart

    public org.jfree.chart.ChartPanel makeStackedChart(String title,
                                                       String numberTitle)

### makeStackedChart

    public org.jfree.chart.ChartPanel makeStackedChart(String title,
                                                       String numberTitle,
                                                       TimeInterval interval)

### makeStackedChart

    public org.jfree.chart.ChartPanel makeStackedChart(String title,
                                                       String numberTitle,
                                                       DataPoint.ValueType type,
                                                       TimeInterval interval)

### makeStackedChart

    public static org.jfree.chart.ChartPanel makeStackedChart(org.jfree.data.xy.XYDataset data,
                                                              String title,
                                                              String numberTitle,
                                                              TimeInterval interval)

### makeClusteredChart

    public static org.jfree.chart.ChartPanel makeClusteredChart(org.jfree.data.xy.XYDataset data,
                                                                String title,
                                                                String numberTitle,
                                                                TimeInterval interval)

### configurePeriodAxis

    public static void configurePeriodAxis(org.jfree.chart.axis.PeriodAxis axis,
                                           TimeInterval interval)

### makeTimeChart

    public static org.jfree.chart.ChartPanel makeTimeChart(String title,
                                                           String dateTitle,
                                                           String numberTitle,
                                                           org.jfree.data.time.TimeSeries... ts)

  See Also:
    `makeTimeSeries(int, com.antelmann.math.DataPoint.ValueType, Object)`

### toTimePeriod

    public static org.jfree.data.time.RegularTimePeriod toTimePeriod(Date date,
                                                                     TimeInterval interval)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads